Package com.avaya.ui

## Class ConversationActivityBuilder

- java.lang.Object
- - com.avaya.ui.ConversationActivityBuilder

-     public class ConversationActivityBuilder
      extends java.lang.Object

  This builder is used to configure the `ConversationActivity`

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `android.content.Intent` | `intent​(android.content.Context context)` | Creates an `Intent` for the `ConversationActivity` with the specified configuration
    `void` | `show​(android.content.Context context)` | Starts the `ConversationActivity` with the specified configuration
    `ConversationActivityBuilder` | `withConversationId​(java.lang.String conversationId)` | Specifies the conversation to be loaded
    `ConversationActivityBuilder` | `withFlags​(int flags)` | Specifies the intent flags for the conversation activity
    `ConversationActivityBuilder` | `withStartingText​(java.lang.String startingText)` | Specifies the starting text used to pre-fill the conversation activity text box

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withFlags

          public ConversationActivityBuilder withFlags​(int flags)

      Specifies the intent flags for the conversation activity
      Parameters:
        `flags` - the `Intent` flags
      Returns:
        the `ConversationActivityBuilder`

    - #### withStartingText

          public ConversationActivityBuilder withStartingText​(java.lang.String startingText)

      Specifies the starting text used to pre-fill the conversation activity text box
      Parameters:
        `startingText` - the starting text to display
      Returns:
        the `ConversationActivityBuilder`

    - #### withConversationId

          public ConversationActivityBuilder withConversationId​(java.lang.String conversationId)

      Specifies the conversation to be loaded
      Parameters:
        `conversationId` - the conversationId to load
      Returns:
        the `ConversationActivityBuilder`

    - #### show

          public void show​(android.content.Context context)

      Starts the `ConversationActivity` with the specified configuration
      Parameters:
        `context` - the `Context` from which `Context.startActivity(Intent)` will be invoked

    - #### intent

          public android.content.Intent intent​(android.content.Context context)

      Creates an `Intent` for the `ConversationActivity` with the specified configuration
      Parameters:
        `context` - the `Context` from which `Context.startActivity(Intent)` will be invoked
      Returns:
        the constructed `Intent`